<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::TestResult Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1TestResult.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::TestResult Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6174aa4019dcda7c34d776b5741c9032"><td class="memItemLeft" align="right" valign="top"><a id="a6174aa4019dcda7c34d776b5741c9032"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>total_part_count</b> () const</td></tr>
<tr class="separator:a6174aa4019dcda7c34d776b5741c9032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe4523257bbea8bc63b0950b702790be"><td class="memItemLeft" align="right" valign="top"><a id="afe4523257bbea8bc63b0950b702790be"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>test_property_count</b> () const</td></tr>
<tr class="separator:afe4523257bbea8bc63b0950b702790be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7e6e72f05a0545c48ea48e7f8851df"><td class="memItemLeft" align="right" valign="top"><a id="acf7e6e72f05a0545c48ea48e7f8851df"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Passed</b> () const</td></tr>
<tr class="separator:acf7e6e72f05a0545c48ea48e7f8851df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c9e954e0f8c1386206f2e6208c45244"><td class="memItemLeft" align="right" valign="top"><a id="a4c9e954e0f8c1386206f2e6208c45244"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Skipped</b> () const</td></tr>
<tr class="separator:a4c9e954e0f8c1386206f2e6208c45244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afacc37e8b43c8574e4101bc61723c769"><td class="memItemLeft" align="right" valign="top"><a id="afacc37e8b43c8574e4101bc61723c769"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Failed</b> () const</td></tr>
<tr class="separator:afacc37e8b43c8574e4101bc61723c769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e00d4076ae07fb5ad7b623d9dc1fe4"><td class="memItemLeft" align="right" valign="top"><a id="a30e00d4076ae07fb5ad7b623d9dc1fe4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasFatalFailure</b> () const</td></tr>
<tr class="separator:a30e00d4076ae07fb5ad7b623d9dc1fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a510564fa67b485ed4589a259f2a032d6"><td class="memItemLeft" align="right" valign="top"><a id="a510564fa67b485ed4589a259f2a032d6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasNonfatalFailure</b> () const</td></tr>
<tr class="separator:a510564fa67b485ed4589a259f2a032d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a717e05e00d4af5cb809433e343ab63af"><td class="memItemLeft" align="right" valign="top"><a id="a717e05e00d4af5cb809433e343ab63af"></a>
TimeInMillis&#160;</td><td class="memItemRight" valign="bottom"><b>elapsed_time</b> () const</td></tr>
<tr class="separator:a717e05e00d4af5cb809433e343ab63af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb268289775c56570cfa4bbd4d233ec9"><td class="memItemLeft" align="right" valign="top"><a id="adb268289775c56570cfa4bbd4d233ec9"></a>
TimeInMillis&#160;</td><td class="memItemRight" valign="bottom"><b>start_timestamp</b> () const</td></tr>
<tr class="separator:adb268289775c56570cfa4bbd4d233ec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a765c1e734ac08115757b343d57226bba"><td class="memItemLeft" align="right" valign="top"><a id="a765c1e734ac08115757b343d57226bba"></a>
const TestPartResult &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestPartResult</b> (int i) const</td></tr>
<tr class="separator:a765c1e734ac08115757b343d57226bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c2f478dbce36b57d18bedded46d70af"><td class="memItemLeft" align="right" valign="top"><a id="a6c2f478dbce36b57d18bedded46d70af"></a>
const <a class="el" href="classtesting_1_1TestProperty.html">TestProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTestProperty</b> (int i) const</td></tr>
<tr class="separator:a6c2f478dbce36b57d18bedded46d70af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a4c49c2cdb6c328e6b709b4542f23de3c"><td class="memItemLeft" align="right" valign="top"><a id="a4c49c2cdb6c328e6b709b4542f23de3c"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TestInfo</b></td></tr>
<tr class="separator:a4c49c2cdb6c328e6b709b4542f23de3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9aaba231fd11196425e75caf709bfc6"><td class="memItemLeft" align="right" valign="top"><a id="ab9aaba231fd11196425e75caf709bfc6"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TestSuite</b></td></tr>
<tr class="separator:ab9aaba231fd11196425e75caf709bfc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a832b4d233efee1a32feb0f4190b30d39"><td class="memItemLeft" align="right" valign="top"><a id="a832b4d233efee1a32feb0f4190b30d39"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>UnitTest</b></td></tr>
<tr class="separator:a832b4d233efee1a32feb0f4190b30d39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae39633da9932847b41cb80efd62115"><td class="memItemLeft" align="right" valign="top"><a id="abae39633da9932847b41cb80efd62115"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::DefaultGlobalTestPartResultReporter</b></td></tr>
<tr class="separator:abae39633da9932847b41cb80efd62115"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf5553cae6aea6f8648d47e299237e34"><td class="memItemLeft" align="right" valign="top"><a id="adf5553cae6aea6f8648d47e299237e34"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::ExecDeathTest</b></td></tr>
<tr class="separator:adf5553cae6aea6f8648d47e299237e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae762da04e74a0d3b0daded3c5bd4a8e8"><td class="memItemLeft" align="right" valign="top"><a id="ae762da04e74a0d3b0daded3c5bd4a8e8"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::TestResultAccessor</b></td></tr>
<tr class="separator:ae762da04e74a0d3b0daded3c5bd4a8e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memItemLeft" align="right" valign="top"><a id="acc0a5e7573fd6ae7ad1878613bb86853"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::UnitTestImpl</b></td></tr>
<tr class="separator:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aeedc04a0590fcc1b3c5f687dbb0f9f"><td class="memItemLeft" align="right" valign="top"><a id="a6aeedc04a0590fcc1b3c5f687dbb0f9f"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::WindowsDeathTest</b></td></tr>
<tr class="separator:a6aeedc04a0590fcc1b3c5f687dbb0f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29d5921f68031cdfba0b28cf4b3b559"><td class="memItemLeft" align="right" valign="top"><a id="af29d5921f68031cdfba0b28cf4b3b559"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::FuchsiaDeathTest</b></td></tr>
<tr class="separator:af29d5921f68031cdfba0b28cf4b3b559"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1TestResult.html">TestResult</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
